package domain


type AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto struct {
    /*
        订单状态     */
    OrderStatus  *string `json:"order_status,omitempty" `

    /*
        库存单位购买数量     */
    BuyAmountStock  *string `json:"buy_amount_stock,omitempty" `

    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        非标品售卖单位     */
    SellUnit  *string `json:"sell_unit,omitempty" `

    /*
        非标品购买数量     */
    NsQuantity  *string `json:"ns_quantity,omitempty" `

    /*
        购买数量     */
    Quantity  *int64 `json:"quantity,omitempty" `

    /*
        商品id     */
    AuctionId  *string `json:"auction_id,omitempty" `

    /*
        商户编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        五道口子订单ID     */
    BizSubOrderId  *int64 `json:"biz_sub_order_id,omitempty" `

    /*
        主站子订单ID     */
    TbSubOrderId  *int64 `json:"tb_sub_order_id,omitempty" `

    /*
        主站订单ID     */
    TbOrderId  *int64 `json:"tb_order_id,omitempty" `

    /*
        五道口订单ID     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        商品价格     */
    AuctionPrice  *int64 `json:"auction_price,omitempty" `

    /*
        商品名称     */
    AuctionTitle  *string `json:"auction_title,omitempty" `

    /*
        支付时间     */
    PayTime  *string `json:"pay_time,omitempty" `

    /*
        渠道店ID     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        子订单扩展字段, 订单商品采购价数据purchase_price     */
    Attributes  *string `json:"attributes,omitempty" `

    /*
        商品条码     */
    Barcode  *string `json:"barcode,omitempty" `

    /*
        返利比例     */
    PurchaseRebateRatio  *string `json:"purchase_rebate_ratio,omitempty" `

    /*
        是否进货返利     */
    PurchaseRebate  *bool `json:"purchase_rebate,omitempty" `

    /*
        不退货返利比例     */
    UnRebateRatio  *string `json:"un_rebate_ratio,omitempty" `

}

func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetOrderStatus(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.OrderStatus = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetBuyAmountStock(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.BuyAmountStock = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetStoreId(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetSaleUnit(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetStockUnit(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetSellUnit(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.SellUnit = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetNsQuantity(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.NsQuantity = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetQuantity(v int64) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.Quantity = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetAuctionId(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.AuctionId = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetMerchantCode(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetBizSubOrderId(v int64) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.BizSubOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetTbSubOrderId(v int64) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.TbSubOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetTbOrderId(v int64) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.TbOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetBizOrderId(v int64) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetAuctionPrice(v int64) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.AuctionPrice = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetAuctionTitle(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.AuctionTitle = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetPayTime(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.PayTime = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetShopId(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetAttributes(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.Attributes = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetBarcode(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.Barcode = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetPurchaseRebateRatio(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.PurchaseRebateRatio = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetPurchaseRebate(v bool) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.PurchaseRebate = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) SetUnRebateRatio(v string) *AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto {
    s.UnRebateRatio = &v
    return s
}
